Package Details: circuit-simulator 2.9.0-1

Git Clone URL: https://aur.archlinux.org/circuit-simulator.git (read-only, click to copy)
Package Base: circuit-simulator
Description: Electronic circuit simulator written by Paul Falstad
Upstream URL: http://www.falstad.com/circuit
Licenses: GPL
Submitter: uakos
Maintainer: uakos
Last Packager: uakos
Votes: 5
Popularity: 0.000027
First Submitted: 2018-05-16 15:33 (UTC)
Last Updated: 2024-03-06 20:04 (UTC)

Latest Comments

uakos commented on 2024-03-06 20:06 (UTC)

Thanks @Tutul, updated the package, the version is now added to the source file name.

Tutul commented on 2024-03-04 23:30 (UTC)

This AUR package need to be updated to respect the wiki guideline. The downloaded source archive must be renamed to ensure it's unique for the specified version.

For now, user need to ensure that the GZ file is gone before trying to update, if they forget about that they will get a checksum error because the file is present so no download occur.

Kanishk598 commented on 2024-02-20 15:09 (UTC)

The app fails to start in presence of a GPU, apparently. Screenshot: https://ibb.co/3B9YSPk

uakos commented on 2022-11-18 19:15 (UTC) (edited on 2022-11-18 19:18 (UTC) by uakos)

riversnz thanks for the comment, fixed the problem.

riversnz commented on 2022-11-17 22:54 (UTC)

Hi, is this a me error, or an AUR error?

==> Validating source files with md5sums... circuitjs1-linux64.tgz ... FAILED favicon.ico ... Passed circuit.desktop ... Passed ==> ERROR: One or more files did not pass the validity check! -> error making: circuit-simulator

Harvie commented on 2019-12-29 01:05 (UTC)

Any ideas how to neatly package the new javascript version?

https://www.falstad.com/circuit/

It has quite a few new cool features. Idealy i would like to have both versions java and javascript installed at the same time (for compatibility reasons). I wouldn't even mind if they are both in single package.